| Version: 3.2.5

Public Member Functions | List of all members
wxOverlay Class Reference

`#include <wx/overlay.h>`

## Detailed Description

Creates an overlay over an existing window, allowing for manipulations like rubberbanding, etc.

On wxOSX the overlay is implemented with native platform APIs, on the other platforms it is simulated using wxMemoryDC.

##

Library: wxCore

See also
  wxDCOverlay, wxDC

## Public Member Functions

| wxOverlay ()
| ~wxOverlay ()
void | Reset ()
| Clears the overlay without restoring the former state. More...

## Constructor & Destructor Documentation

## ◆ wxOverlay()

wxOverlay::wxOverlay | ( |  | ) |

## ◆ ~wxOverlay()

wxOverlay::~wxOverlay | ( |  | ) |

## Member Function Documentation

## ◆ Reset()

void wxOverlay::Reset | ( |  | ) |

Clears the overlay without restoring the former state.

To be done, for example, when the window content has been changed and repainted.